%define	name	gqcam
%define	version	0.9.1 
%define	release	1mdk
%define	Summary	A Linux clone of the QuickPict software that comes with the QuickCam

Summary:	%{Summary}
Name:		%{name}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/GNOME
BuildRequires:	gtk+-devel jpeg-devel png-devel
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.1.bz2
Patch0:		gqcam-0.9-suse-fixes.patch.bz2
Patch1:		gqcam-0.9.1-mdkconf.patch.bz2
Patch2:		gqcam-0.9.1-fix-headers.patch.bz2
URL:		http://cse.unl.edu/~cluening/gqcam/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Gqcam allows you to use web cams with Linux.

Features:
  * Brightness Control
  * White Balance Control
  * Contrast Control 
  * 3 Size Settings 
  * 2 Depth Settings 
  * Freeze Picture 
  * Snap Picture (saves in png, ppm and jpeg format) 
  * Command-line interface (good for webcam use) 
  * Snapping on a timer 
  * Support for the greyscale and color Quickcam, as well as CPiA based cameras
    and most any other driver that supports the read() command

The cameras the author have gotten gqcam to work with or have had other people
tell him it works with are:
  * Greyscale Quickcam
  * Color Quickcam
  
Anything listed below this line I have not tested and know very little about:
  * Ezonics EZcam
  * Creative Web-Cam II
  * Philips USB PCVC675K
  * Webcam III
  * TerraCAM USB
  * Plustek OptiCam 300U

If you have gotten it work with a camera not listed here, feel free to let him
know at <cluenin1@bigred.unl.edu>

%prep
%setup -q
%patch0 -p1 -b .suse
%patch1 -p1 -b .mdkconf
%patch2 -p1 -b .headers

%build
%make OPTFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -m0755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{name}" \
                icon="graphics_section.png" \
                needs="x11" \
                section="Multimedia/Graphics" \
                title="Gqcam"\
                longtitle="%{Summary}"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_menudir}/%{name}
%doc CHANGES README README.threads TODO

%changelog
* Fri Apr 15 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.1-1mdk
- 0.9.1
- add fixes from SuSE (P0)
- apply compile flags in a better way (P1)
- include missing header (P2)
- fix menu-title-not-capitalized
- cleanups

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9-5mdk
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- minor cleanups
- rebuild
- compile with $RPM_OPT_FLAGS
- use %%make macro
- be sure to link against libz
- added menu item

* Fri Nov  9 2001 Daouda LO <daouda@mandrakesoft.com> 0.9-4mdk
- rebuild against libpng3

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9-3mdk
- BuildRequires: gtk+-devel
- Removed redundant BuildRequires: XFree86-devel zlib-devel

* Mon Jul 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.9-2mdk
- rebuild

* Wed Jan 03 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9-1mdk
- 0.9
- Spec clean up (LMDK compliant)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8-2mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Chritopher Molnar <molnarc@mandrakesoft.com> 0.8-1mdk
- packaged for Mandrake
